using System;

namespace nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string c = Console.ReadLine();
            int poz = c.IndexOf("");
            string c1 = c.Substring(0, 1);
            string c2 = c.Substring(1);
            string[] s = Console.ReadLine().Split();
            int a1 = int.Parse(s[0]);
            int a2 = int.Parse(s[1]);
            string str = "";
            if (Math.Abs(a1 - a2) > 1)
                Console.WriteLine("nemoguce");
            else
            {
                if (a1 == a2)
                    for (int i = 0; i < a1; i++)
                    {
                        Console.Write(c1 + c2);
                    }
                else if (a1 > a2)
                {
                    str = "";
                    for (int i = 0; i < a1; i++)
                    {
                        str += c1 + c2;
                    }
                    str = str.Substring(0, str.Length - 1);
                    Console.WriteLine(str);
                }
                else if (a2 > a1)
                {
                    str = "";
                    for (int i = 0; i < a2; i++)
                    {
                        str += c2 + c1;
                    }
                    str = str.Substring(0, str.Length - 1);
                    Console.WriteLine(str);
                }
            }

        }
    }
}